Exec slaves and controlling TTY

Bug #1762724 reported by Dennis on 2018-04-10
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
conserver (Ubuntu)
Undecided
Unassigned

Bug Description

root@vm1:~# lsb_release -rd
Description: Ubuntu 14.04.5 LTS
Release: 14.04

root@vm1:~# apt-cache policy conserver-server
conserver-server:
  Installed: 8.1.18-2.2ubuntu2
  Candidate: 8.1.18-2.2ubuntu2
  Version table:
 *** 8.1.18-2.2ubuntu2 0
        500 http://se.archive.ubuntu.com/ubuntu/ trusty/multiverse amd64 Packages
        100 /var/lib/dpkg/status

-----------------------------------------------------
We are having a problem with exec consoles that run a program that needs /dev/tty -- i.e. they need a controlling TTY.

This is causing a lot of hanging sessions that needs to be manually killed off.

We have applied this patch and it seems to do the trick.

https://www.conserver.com/pipermail/users/2017-September/msg00000.html

We hope that you could make sure the patch is applied to the official debian/ubuntu package as well.
----------------------------------------------------

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in conserver (Ubuntu):
status: New → Confirmed
Dennis (dempamannen) wrote :

Hi,

What does it take to get this fixed?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers